//---------------------------------------------------------------------------

#ifndef TUdpCliH
#define TUdpCliH

#include <ExtCtrls.hpp>
#include <NMUDP.hpp>
#include "TxnFmt.h"
//---------------------------------------------------------------------------

class TUdpClient
{
public:
  TNMUDP *NMUDP;
  int Status;
  AnsiString RemoteFn;
  AnsiString LocalFn;
  unsigned short Block;
  unsigned short BlockNo;
  unsigned long Size;
  TDateTime LoginTime;
  DWORD LastSendTime;

  TMemoryStream *Ms;

  TUdpClient(TNMUDP *pNMUDP);
  ~TUdpClient();
  void vSendLogin();
  void vProcessPassWord(char *Data,int Size);
  void vDisConnect();
  void vSendOnLine();
  void vSendFileName();
  void vProcessFileSize(char *Data,int Size);
  void vSendBlockNo();
  void vProcessBlockNo(char *Data,int Size);
  void vSendGetHost();
};




#endif
