//---------------------------------------------------------------------------

#ifndef TUdpSvrH
#define TUdpSvrH
//---------------------------------------------------------------------------
#include "IdUDPBase.hpp"
#include "TxnFmt.h"

AnsiString sGetHost();

class TUdpSvr
{
  public:
  AnsiString PeerIP;
  long PeerPort;
  int Active;
  int Connect;
  AnsiString UserName;
  long PassWord;
  TDateTime LoginTime;
  DWORD LastReceiveTime;
  AnsiString FilePath;
  AnsiString FileName;

  int BlockNo;
  TMemoryStream *Ms;

  TUdpSvr(AnsiString Ip,long Port);
  ~TUdpSvr();
  int iThisIpPort(AnsiString Ip,long Port);
  int iLogin(AnsiString User,long Pwd);
  void vSendPassWord(TIdSocketHandle *ABinding);
  void vSendData(TIdSocketHandle *ABinding,char *Data, int Size);
  void vSendFileBlockSize(TIdSocketHandle *ABinding,char *Data, int Size);
  void vSendBlockNo(TIdSocketHandle *ABinding,char *Data, int Size);
};

#endif
