//---------------------------------------------------------------------------

#ifndef UdpSrvH
#define UdpSrvH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "IdBaseComponent.hpp"
#include "IdComponent.hpp"
#include "IdUDPBase.hpp"
#include "IdUDPServer.hpp"
#include "IdUDPClient.hpp"
#include <ExtCtrls.hpp>
#include <NMUDP.hpp>
//---------------------------------------------------------------------------


class TForm1 : public TForm
{
public:
  TList *ListUdpSvr;
__published:	// IDE-managed Components
        TIdUDPServer *IdUDPServer1;
        TMemo *Memo1;
        TTimer *Timer1;
        TTimer *Timer2;
        TNMUDP *NMUDP1;
        TEdit *EditHost;
        TMemo *Memo2;
        TButton *ButtonSetup;
        TEdit *Edit2;
        TButton *ButtonLogin;
        TButton *ButtonExit;
        TTimer *Timer3;
        TCheckBox *CheckBox1;
        TButton *Button1;
        TTimer *Timer4;
        TButton *Button2;
        void __fastcall IdUDPServer1UDPRead(TObject *Sender,
          TStream *AData, TIdSocketHandle *ABinding);
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall FormDestroy(TObject *Sender);
        void __fastcall Timer1Timer(TObject *Sender);
        void __fastcall Timer2Timer(TObject *Sender);
        void __fastcall ButtonLoginClick(TObject *Sender);
        void __fastcall ButtonSetupClick(TObject *Sender);
        void __fastcall ButtonExitClick(TObject *Sender);
        void __fastcall Timer3Timer(TObject *Sender);
        void __fastcall NMUDP1DataReceived(TComponent *Sender,
          int NumberBytes, AnsiString FromIP, int Port);
        void __fastcall CheckBox1Click(TObject *Sender);
        void __fastcall Button1Click(TObject *Sender);
        void __fastcall Timer4Timer(TObject *Sender);
        void __fastcall Button2Click(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
        int iThisIpPort(AnsiString Ip,long Port);
        int iUserPassWordOk(AnsiString User,long Pwd);
        void vProcessLogin(TIdSocketHandle *ABinding,char *Data, int Size);
        void vDisConnect(TIdSocketHandle *ABinding);
        void vConnecting(TIdSocketHandle *ABinding);
        void vProcessFileName(TIdSocketHandle *ABinding,char *Data, int Size);
        void vProcessBlock(TIdSocketHandle *ABinding,char *Data, int Size);

};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
